For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
DocsAPI ReferenceChangelog
DocsAPI ReferenceChangelog
  • REST
    • Authentication
    • Platform
    • Event-Driven Sync (EDRTS)
    • Content
    • FeedAMP Order
    • FeedAMP Order V2
          • GETGet orders filtered by search parameters
          • GETGet order by {order-id}
          • POSTConfirm receipt of order and update merchant order number
          • POSTRun an operation on an order
    • FeedAMP Order Source
LogoLogo
RESTFeedAMP Order V2Orders

Confirm receipt of order and update merchant order number

POST
https://api.feedamp.feedonomics.com/api/v2/orders/:order-id/confirm
POST
/api/v2/orders/:order-id/confirm
$curl -X POST https://api.feedamp.feedonomics.com/api/v2/orders/109872189273617283/confirm \
> -H "token: token" \
> -H "client: 1" \
> -H "Content-Type: application/json" \
> -u "<username>:<password>" \
> -d '{}'
1{
2 "id": "109872189273617283",
3 "merchant_order_number": "O1234"
4}

Confirm receipt of the order and optionally provide an order identifier from your merchant system. Successful confirmation will emit a MERCHANT_RECEIVED_ORDER event to optionally be applied in your Channel Workflow. This call can only be made successfully once per order.

Was this page helpful?
Previous

Get order by {order-id}

Next

Run an operation on an order

Built with

Authentication

AuthorizationBasic

Basic authentication of the form Basic <base64(username:password)>.

Path parameters

order-idstringRequired
FeedAMP Order ID

Headers

tokenstringRequired

The Authentication token obtained from the v1 get_token route

clientintegerRequired
The ID of the client making the request

Request

This endpoint expects an object.
merchant_order_numberstringOptional

Optional order identifier from your e-commerce system

Response

Updated order values
idstring
Unique identifier for a record
merchant_order_numberstring

Errors

400
Bad Request Error
401
Unauthorized Error
404
Not Found Error
500
Internal Server Error
503
Service Unavailable Error